×
分享到微信

打开微信,使用扫一扫进入页面后,点击右上角菜单,

点击“发送给朋友”或“分享到朋友圈”完成分享

【MLU220】RK3568(aarch)ubuntu18.04安装驱动失败 已完结 jocker2022-11-02 15:42:11 回复 2 查看 技术答疑 使用求助 经验交流
【MLU220】RK3568(aarch)ubuntu18.04安装驱动失败
分享到:

【寒武纪硬件产品型号】MLU220


【使用操作系统】RK3568(aarch64)+ubuntu18.04+Linux内核版本:4.19.219


【使用驱动版本】neuware-mlu220m.2-driver-dkms_4.9.13_all.deb


【出错信息】

使用sudo apt install ./neuware-mlu220m.2-driver-dkms_4.9.13_all.deb


打印如下:

Note, selecting 'neuware-mlu220m.2-driver-dkms' instead of './neuware-mlu220m.2-driver-dkms_4.9.13_all.deb'

The following packages were automatically installed and are no longer required:

  libgdbm5 libperl5.26

Use 'sudo apt autoremove' to remove them.

The following additional packages will be installed:

  binutils binutils-aarch64-linux-gnu binutils-common build-essential cpp

  cpp-9 dctrl-tools dirmngr distro-info-data dkms dpkg-dev fakeroot g++ g++-9

  gcc gcc-10-  gcc-9 gcc-9-  gnupg gnupg-l10n gnupg-utils gpg gpg-agent

  gpg-wks-client gpg-wks-server gpgconf gpgsm gpgv init-system-helpers

  libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl

  libasan5 libassuan0 libatomic1 libbinutils libc-bin libc-dev-bin libc6

  libc6-dev libcc1-0 libcrypt-dev libcrypt1 libctf-nobfd0 libctf0 libdpkg-perl

  libfakeroot libffi7 libfile-fcntllock-perl libgcc-9-dev libgcc-s1

  libgdbm-compat4 libgdbm6 libgnutls30 libgomp1 libgpg-error-l10n

  libgpg-error0 libgpm2 libhogweed5 libidn2-0 libisl22 libitm1 libksba8

  liblocale-gettext-perl liblsan0 libmpc3 libmpfr6 libncursesw6 libnettle7

  libnpth0 libp11-kit0 libperl5.30 libreadline8 libstdc++-9-dev libstdc++6

  libtasn1-6 libtinfo6 libtsan0 libubsan1 linux-headers-5.4.0-131

  linux-headers-5.4.0-131-generic linux-headers-generic linux-libc-dev

  lsb-release make manpages manpages-dev patch perl perl-

  perl-modules-5.30 pinentry-curses

Suggested packages:

  binutils-doc cpp-doc gcc-9-locales debtags dbus-user-session pinentry-gnome3

  tor menu debian-keyring gcc-9-doc gcc-multilib autoconf automake libtool

  flex bison gdb gcc-doc parcimonie xloadimage scdaemon glibc-doc locales git

  bzr gdbm-l10n gnutls-bin gpm libstdc++-9-doc make-doc man-browser ed

  diffutils-doc perl-doc libterm-readline-gnu-perl

  | libterm-readline-perl-perl libb-debug-perl pinentry-doc

The following NEW packages will be installed:

  binutils binutils-aarch64-linux-gnu binutils-common build-essential cpp

  cpp-9 dctrl-tools dirmngr distro-info-data dkms dpkg-dev fakeroot g++ g++-9

  gcc gcc-10-  gcc-9 gcc-9-  gnupg gnupg-l10n gnupg-utils gpg gpg-agent

  gpg-wks-client gpg-wks-server gpgconf gpgsm libalgorithm-diff-perl

  libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan5 libassuan0

  libatomic1 libbinutils libc-dev-bin libc6-dev libcc1-0 libcrypt-dev

  libcrypt1 libctf-nobfd0 libctf0 libdpkg-perl libfakeroot libffi7

  libfile-fcntllock-perl libgcc-9-dev libgcc-s1 libgdbm6 libgomp1

  libgpg-error-l10n libgpm2 libhogweed5 libisl22 libitm1 libksba8

  liblocale-gettext-perl liblsan0 libmpc3 libmpfr6 libncursesw6 libnettle7

  libnpth0 libperl5.30 libreadline8 libstdc++-9-dev libtinfo6 libtsan0

  libubsan1 linux-headers-5.4.0-131 linux-headers-5.4.0-131-generic

  linux-headers-generic linux-libc-dev lsb-release make manpages manpages-dev

  neuware-mlu220m.2-driver-dkms patch perl-modules-5.30 pinentry-curses

The following packages will be upgraded:

  gpgv init-system-helpers libc-bin libc6 libgdbm-compat4 libgnutls30

  libgpg-error0 libidn2-0 libp11-kit0 libstdc++6 libtasn1-6 perl perl-

13 upgraded, 80 newly installed, 0 to remove and 231 not upgraded.

Need to get 68.4 MB/114 MB of archives.

After this operation, 590 MB of additional disk space will be used.

Do you want to continue? [Y/n] y

Get:1 http://mirrors.aliyun.com/ubuntu-ports focal-updates/main arm64 gcc-10-  arm64 10.3.0-1ubuntu1~20.04 [20.2 kB]

Get:2 http://mirrors.aliyun.com/ubuntu-ports focal-updates/main arm64 libgcc-s1 arm64 10.3.0-1ubuntu1~20.04 [34.6 kB]

Get:3 /mnt/neuware-mlu220m.2-driver-dkms_4.9.13_all.deb neuware-mlu220m.2-driver-dkms all 4.9.13 [45.9 MB]

Get:4 http://mirrors.aliyun.com/ubuntu-ports focal/main arm64 libcrypt1 arm64 1:4.4.10-10ubuntu4 [82.5 kB]

Get:5 http://mirrors.aliyun.com/ubuntu-ports focal-updates/main arm64 libc6 arm64 2.31-0ubuntu9.9 [2281 kB]

Get:6 http://mirrors.aliyun.com/ubuntu-ports focal-updates/main arm64 libc-bin arm64 2.31-0ubuntu9.9 [508 kB]

Get:7 http://mirrors.aliyun.com/ubuntu-ports focal-updates/main arm64 perl-modules-5.30 all 5.30.0-9ubuntu0.3 [2739 kB]



得到的是命令cnmon也是x86架构的命令,请问要如何安装这个驱动呢





版权所有 © 2022 寒武纪 Cambricon.com 备案/许可证号:京ICP备17003415号-1
关闭